> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geeknow.top/llms.txt
> Use this file to discover all available pages before exploring further.

# 上传管理概览

> 汇总对象存储预签名上传接口及其与图像、视频任务的配合方式。

# 上传管理

上传管理目前主要暴露一个公开文档接口：`POST /api/upload/presign`。它为客户端返回一个可直接执行 `PUT` 上传的对象存储地址。

<CardGroup cols={2}>
  <Card title="上传图片" icon="upload" href="/api-reference/uploads/image-upload">
    生成对象存储预签名 `PUT` URL，并返回上传后的 `public_url`。
  </Card>

  <Card title="下游用法" icon="link">
    把上传后的 `public_url` 传给 `/v1/images/*`、`/mj/*` 或其他接受公网素材 URL 的接口。
  </Card>
</CardGroup>

## 路由清单

| Method | Path                  | 说明            |
| ------ | --------------------- | ------------- |
| `POST` | `/api/upload/presign` | 创建对象存储预签名上传地址 |

## 相关页面

* [图像系列概览](../images/overview)
* [视频系列概览](../videos/overview)
